@media (max-width: 337px) {
.fs_xs_normal {
  font-size:9%;
  }
}
@media (max-width: 286px) {
.fs_xs_normal {
  font-size:75%;
  }
}

@media (max-width: 366px) {
.fs_xs_unlock {
  font-size:80%;
  }
}

@media (max-width: 484px) {
.fs_xs_table {
  font-size:80%;
  }
}

@keyframes blink {
    0% {
      opacity: .2;
    }
    20% {
      opacity: 1;
    }
    100% {
      opacity: .2;
    }
}

.saving span {
    animation-name: blink;
    animation-duration: 1.4s;
    animation-iteration-count: infinite;
    animation-fill-mode: both;
    padding: 0px !important;
}

.saving span:nth-child(2) {
    animation-delay: .2s;
}

.saving span:nth-child(3) {
    animation-delay: .4s;
}

.saving span{
  font-size: 40px
  padding: 0px !important;
}

.loader_circle {
  width: 23px;
  padding: 4px;
  aspect-ratio: 1;
  border-radius: 50%;
  background: #7a4aec;
  --_m:
    conic-gradient(#0000 10%,#000),
    linear-gradient(#000 0 0) content-box;
  -webkit-mask: var(--_m);
          mask: var(--_m);
  -webkit-mask-composite: source-out;
          mask-composite: subtract;
  animation: l3 1s infinite linear;
}
@keyframes l3 {to{transform: rotate(1turn)}}

.loader_circle_white {
  width: 31px;
  padding: 4px;
  aspect-ratio: 1;
  border-radius: 50%;
  background: #fff;
  --_m:
    conic-gradient(#0000 10%,#000),
    linear-gradient(#000 0 0) content-box;
  -webkit-mask: var(--_m);
          mask: var(--_m);
  -webkit-mask-composite: source-out;
          mask-composite: subtract;
  animation: l4 1s infinite linear;
}
@keyframes l4 {to{transform: rotate(1turn)}}

.mdl-card {
  width: 550px;
  min-height: 0;
  margin: 10px auto;
}

.mdl-card_supporting-text {
  width: 100%;
  padding: 0;
  margin: 0;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step {
  width: 0%;
  /* 100 / no_of_steps */
}

.mdl-stepper-horizontal-alternative {
  display: table;
  width: 100%;
  margin: 0 auto;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step {
  display: table-cell;
  position: relative;
  padding-top: 24px;
  padding-bottom: 0;
  padding-left: 5px;
  padding-right: 5px;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step:hover,
.mdl-stepper-horizontal-alternative .mdl-stepper-step:active {
  /*background-color: rgba(0, 0, 0, .06);*/
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step:active {
  border-radius: 15% / 75%;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step:first-child:active {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step:last-child:active {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step:hover .mdl-stepper-circle {
  background-color: #757575;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step:first-child .mdl-stepper-bar-left,
.mdl-stepper-horizontal-alternative .mdl-stepper-step:last-child .mdl-stepper-bar-right {
  display: block;
}

 .mdl-stepper-bar-left_rounded {
  border-top-left-radius: 90px;
  border-bottom-left-radius:90px;
}

@media (max-width: 991px) {
  .mdl-stepper-bar-left_rounded {
   border-top-left-radius: 0;
   border-bottom-left-radius:0;
 }
}

@media (max-width: 286px) {
.fs_xs_normal {
  font-size:75%;
  }
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-circle {
  width: 36px;
  height: 36px;
  margin: 0 auto;
  background-color: #9E9E9E;
  border-radius: 50%;
  text-align: center;
  line-height: 1.8em;
  font-size: 20px;
  color: white;
  font-weight: bold;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.active-step .mdl-stepper-circle {
  background-color: rgb(122, 74, 236);
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.step-done .mdl-stepper-circle:before {
  content: "\2714";
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.step-done .mdl-stepper-circle *,
.mdl-stepper-horizontal-alternative .mdl-stepper-step.editable-step .mdl-stepper-circle * {
  display: block;
}

.mdl-stepper-bar-right_rounded {
 border-top-right-radius: 90px;
 border-bottom-right-radius:90px;
}

@media (max-width: 991px) {
  .mdl-stepper-bar-right_rounded {
   border-top-right-radius: 0;
   border-bottom-right-radius:0;
 }
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.editable-step .mdl-stepper-circle {
  -moz-transform: scaleX(-1);
  /* Gecko */
  -o-transform: scaleX(-1);
  /* Opera */
  -webkit-transform: scaleX(-1);
  /* Webkit */
  transform: scaleX(-1);
  /* Standard */
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.editable-step .mdl-stepper-circle:before {
  content: "\270E";
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-title {
  margin-top: 2px;
  font-size: 14px;
  font-weight: normal;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-title,
.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-optional {
  text-align: center;
  color: rgba(0, 0, 0, .26);
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.active-step .mdl-stepper-title {
  font-weight: 500;
  color: rgba(0, 0, 0, .87);
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.active-step.step-done .mdl-stepper-title,
.mdl-stepper-horizontal-alternative .mdl-stepper-step.active-step.editable-step .mdl-stepper-title {
  font-weight: 300;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-optional {
  font-size: 12px;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step.active-step .mdl-stepper-optional {
  color: rgba(0, 0, 0, .54);
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-bar-left,
.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-bar-right {
  position: absolute;
  top: 39px;
  height: 5px;
  border-top: 5px solid #BDBDBD;
}

.mdl_stepper_purple{
  border-top: 5px solid #7a4aec !important;
}


.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-bar-right {
  right: 0;
  left: 50%;
  margin-left: 20px;
}

.mdl_stepper_bar_right_first{
  margin-left: 0px !important;
}

.mdl-stepper-horizontal-alternative .mdl-stepper-step .mdl-stepper-bar-left {
  left: 0;
  right: 50%;
  margin-right: 20px;
}




.btn-swoosh {
position: relative;
overflow: hidden;
}
.btn-swoosh:after {
display: none;
content: " ";
position: absolute;
top: -50%;
right: -60%;
bottom: -50%;
left: -60%;
background: linear-gradient(rgba(255, 255, 255, 0) 20%, rgba(255, 255, 255, 0.5) 50%, rgba(255, 255, 255, 0)) 80%;
transform: rotate(70deg) translate(0, 10em);
}
.btn-swoosh:hover:after {
display: none;
}
.btn-swoosh--loop:after {
display: block;
animation: 2s swoosh infinite;
}

@keyframes swoosh {
from {
  transform: rotate(0.35turn) translate(0, 20em);
}
to {
  transform: rotate(0.35turn) translate(0, -20em);
}
}

.map_img {
object-fit: cover;
width:100%;
height:100%;
}

.form-check-input {
clear: left;
}

.form-switch.form-switch-sm {
margin-bottom: 0.5rem; /* JUST FOR STYLING PURPOSE */
}
.form-switch.form-switch-sm .form-check-input {
height: 1rem;
width: calc(1rem + 0.75rem);
border-radius: 2rem;
}

.form-switch.form-switch-md {
margin-bottom: 1rem; /* JUST FOR STYLING PURPOSE */
}
.form-switch.form-switch-md .form-check-input {
height: 1.5rem;
width: calc(2rem + 0.75rem);
border-radius: 3rem;
}

.form-switch.form-switch-lg {
margin-bottom: 1.5rem; /* JUST FOR STYLING PURPOSE */
}
.form-switch.form-switch-lg .form-check-input {
height: 2rem;
width: calc(3rem + 0.75rem);
border-radius: 4rem;
}

.form-switch.form-switch-xl {
margin-bottom: 2rem; /* JUST FOR STYLING PURPOSE */
}
.form-switch.form-switch-xl .form-check-input {
height: 2.5rem;
width: calc(4rem + 0.75rem);
border-radius: 5rem;
}
